<?php

/**
 *	Vincent 03
 *		Original work based on Vincent van den Ende, http://www.edwd.nl
 *
 *	1.1.0:	Dietrich Roland Pehlke (Aldus)
 *			- Ported to LEPTON-CMS 1.3.1
 *
 */

?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
	<title><?php page_title(); ?></title>
	<meta http-equiv="Content-Type" content="text/html; charset=<?php echo DEFAULT_CHARSET; ?>" />
	<meta name="Description" content="<?php page_description(); ?>" />
	<meta name="Keywords" content="<?php page_keywords(); ?>" />
	<meta name="copyright" content="Copyright <?php echo date("Y"), ' '.WEBSITE_TITLE; ?>. All rights reserved. (<?php echo WB_URL; ?>)" />
	<meta name="author" content="" />
	<meta name="RESOURCE-TYPE" content="DOCUMENT" />
	<meta name="DISTRIBUTION" content="GLOBAL" />
	<meta name="robots" content="index,follow" />
	<meta name="REVISIT-AFTER" content="1 DAYS" />

	<link rel="shortcut icon" href="<?php echo TEMPLATE_DIR; ?>/favicon.ico" type="image/x-icon" />
	<link rel="author" href="http://www.edwd.nl/" />
	
	<?php 
	/**
	 *	Automatically include optional module files (frontend.css, frontend.js)
	 */
	echo $wb->register_frontend_modfiles();
	?>
	
	<link href="<?php echo TEMPLATE_DIR; ?>/css/style.css" rel="stylesheet" type="text/css" media="screen" />
	<link href="<?php echo TEMPLATE_DIR; ?>/css/print.css" rel="stylesheet" type="text/css" media="print" />

	<script type="text/javascript">
	<!--
	function printWindow(){
	   bV = parseInt(navigator.appVersion)
	   if (bV >= 4) window.print()
	}
	//-->
	</script>
</head>
<body>

<!-- mainContainer holds the thin line and everything in it-->
<div id="mainContainer">  
	<!-- everything within the white bordered area -->
	<div id="container"> 
		<!-- masthead holds the header and page title in semi transparent bar -->
		<div id="masthead"><div class="site_name"><h1><?php echo WEBSITE_TITLE; ?></h1></div>
			<div class="stripe"><h1><?php echo PAGE_TITLE; ?></h1></div>
		</div>
		<!--sidebar holds menu, search and login -->
		<div id="sidebar"> 
		<div class="menu"> <?php
			 show_menu2();
		?></div><br /><br /><br />
		<div id="tools">
			<?php if(SHOW_SEARCH) { /* Only show search box if search is enabled */ ?>
			<form action="<?php echo WB_URL; ?>/search/index<?php echo PAGE_EXTENSION; ?>" method="post" id="search">
			<input type="text" name="string" style="width: 90px;" />
			<input type="submit" name="submit" value="<?php echo $TEXT['SEARCH']; ?>" style="margin-top: 10px;" />
			</form>
			<?php } ?> <br/>

			<?php
					if(FRONTEND_LOGIN AND !$admin->is_authenticated()) {
					?>
					<form action="<?php echo LOGIN_URL; ?>" method="post" id="login">
								<b><?php echo $TEXT['LOGIN']; ?></b><br />
								<?php echo $TEXT['USERNAME']; ?>:	<br />
								<input type="text" name="username" />	<br />
								<?php echo $TEXT['PASSWORD']; ?>:	<br />
								<input type="password" name="password" /> <br />	
								<input type="submit" name="submit" value="<?php echo $TEXT['LOGIN']; ?>" style="margin-top: 10px;" /><br />				
								<a href="<?php echo FORGOT_URL; ?>"><?php echo $TEXT['FORGOT_DETAILS']; ?></a>
								<?php if(is_numeric(FRONTEND_SIGNUP)) { ?>
									<a href="<?php echo SIGNUP_URL; ?>"><?php echo $TEXT['SIGNUP']; ?></a>
								<?php } ?>				
					</form>
					<?php
					} elseif(FRONTEND_LOGIN AND $admin->is_authenticated()) {
					?>
					<form action="<?php echo LOGOUT_URL; ?>" method="post" id="logout">
						
								<b><?php echo $TEXT['LOGGED_IN']; ?></b>	<br />
								<?php echo $TEXT['WELCOME_BACK']; ?>, <?php echo $admin->get_display_name(); ?>	<br />
								<input type="submit" name="submit" value="<?php echo $MENU['LOGOUT']; ?>" style="margin-top: 13px;" />			<br />
								<a href="<?php echo PREFERENCES_URL; ?>"><?php echo $MENU['PREFERENCES']; ?></a>			<br /><br />
					</form>
					<?php
					}
					?>
			</div>
		</div>

		<!-- now throw all your content here: -->
		<div id="mainContent"> 
			<?php
				page_content();
			?>
			<div align="right"><a href="javascript:printWindow()"><img src="<?php echo TEMPLATE_DIR; ?>/img/print_off.gif" alt="print" width="19" height="15" border="0" /></a></div>
		</div>
		<div id="clear"></div>
	<!-- end container -->
	</div>
<!-- end mainContainer -->	
</div>
<div id="footer"><div align="center">&copy;&nbsp;<?php echo date("Y"), ' '.WEBSITE_TITLE; ?>&nbsp;\\&nbsp;Design: <a href="http://www.edwd.nl" target="_blank">edwd.nl</a>&nbsp;\\&nbsp;powered by <a href="http://www.http://lepton-cms.org/" target="_blank">LEPTON-CMS</a></div></div>
		
</body>
</html>
